@import url("../fonts/fonts.css");
@import url("./style.css");

#hero {
    background-color: var(--bg-white);
}

.hero--wrapper {
    position: relative;
    display: flex;
    flex-direction: column;
    margin-left: 96px;
    padding: 163px 0 320px;
    gap: 32px;
    width: calc(100% - 96px);
}

.hero--main {
    display: flex;
    align-items: flex-start;
    bottom: 64px;
    color: var(--pri-text);
}

.hero--title {
    font-size: 56px;
    font-weight: 700;
    line-height: 67.2px;
}

.hero--main__texts {
    display: flex;
    flex-direction: column;
    gap: 16px;
    max-width: 496px;
}

.hero--main--title {
    font-size: 20px;
    font-weight: 700;
    line-height: 30px;
}

.hero--main__text {
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
}

.hero--video {
    position: absolute;
    bottom: calc(-630px / 2);
    left: -96px;
    transition: 0.5s;
}

.hero--video:hover {
    transform: scale(1.05);
}

.hero--video img {
    position: relative;
    width: 100%;
}

.hero--vode {
    position: absolute;
    top: calc(85% / 2);
    left: calc(95% / 2);
    fill: var(--bg-white);
    transition: 0.5s;
}

.hero--vode path:nth-child(2) {
    fill: var(--pri-text);
}

.hero--video:hover .hero--vode {
    fill: var(--pri-text);
}

.hero--video:hover path:nth-child(2) {
    fill: var(--bg-white);
}


/* mission */


#mission {
    background-color: var(--gree-try);
    padding: 320px 0 96px;
}

.mission--wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 96px;
}

.mission--cards {
    display: flex;
    align-items: center;
    gap: 96px;
}

.mission--card {
    max-width: 496px;
    color: var(--pri-text);
}

.mission--small__title {
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 700;
    line-height: 18.75px;
    letter-spacing: 2px;
}

.mission--title {
    margin: 16px 0 8px;
    font-size: 28px;
    font-weight: 700;
    line-height: 42px;
}

.mission--text {
    opacity: 0.7;
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
}


/* awards */


#awards {
    background-color: var(--bg-white);
    color: var(--pri-text);
}

.awards--wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 48px;
}

.awards--title {
    font-size: 48px;
    font-weight: 700;
    line-height: 57.6px;
}

.avards--list {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.awards--item {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
}

.awards--item img {
    margin-bottom: 12px;
}

.awents--year {
    font-size: 24px;
    font-weight: 700;
    line-height: 38.4px;
}

.awards--name {
    font-size: 16px;
    font-weight: 700;
    line-height: 25.6px;
}

.awards--where {
    opacity: 0.6;
    font-size: 12px;
    font-weight: 500;
    line-height: 19.2px;
}


/* jurney */


#journey {
    background-color: var(--bg-white);
    padding: 0;
}

.jurney--wrapper {
    display: flex;
    align-items: center;
    gap: 48px;
    background-color: var(--black-06);
    padding: 64px 0 64px 96px;
    border-radius: 12px;
    color: var(--bg-white);
}

.jurney--main {
    max-width: 488px;
}

.jurney--main__top {
    margin-bottom: 32px;
}

.jurney--small__title {
    font-size: 16px;
    font-weight: 700;
    line-height: 18.75px;
    letter-spacing: 2px;
}

.jurney--title {
    margin: 16px 0;
    font-size: 48px;
    font-weight: 700;
    line-height: 57.6px;
}

.jurney--text {
    opacity: 0.6;
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
}

.jurney--stats {
    display: flex;
    gap: 32px;
    align-items: center;
}

.jurney--stat {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.jurney--plus {
    font-size: 24px;
    font-weight: 500;
    line-height: 38.4px;
}

.jurney--stat--text {
    opacity: 0.6;
    font-size: 12px;
    font-weight: 500;
    line-height: 19.2px;
}

.jurney--image {
    max-width: 648px;
}

.jurney--image img {
    width: 100%;
}


/* team */


#team {
    background-color: var(--bg-white);
}

.team--wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 48px;
}

.team--main {
    text-align: center;
    max-width: 519px;
}

.team--title {
    color: var(--pri-text);
    font-size: 48px;
    font-weight: 700;
    line-height: 57.6px;
    margin-bottom: 16px;
}

.team--text {
    color: var(--sec-text);
    font-size: 16px;
    font-weight: 400;
    line-height: 25.6px;
}

.team--cards {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 48px 32px;
    flex-wrap: wrap;
}

.team--card {
    display: flex;
    flex-direction: column;
    align-items: center;
    color: var(--pri-text);
}

.team--name {
    padding: 16px 8px;
    font-size: 20px;
    font-weight: 500;
    line-height: 32px;
}

.team--work {
    margin-bottom: 16px;
    opacity: 0.6;
    font-size: 12px;
    font-weight: 500;
    line-height: 19.2px;
}


@media (max-width:1270px) {
    .about--logoipsums  {
        gap: 30px;
    }
}

@media (max-width:1220px) {
    .hero--wrapper {
        margin: 0;
        padding-bottom: 100px;
        width: 100%;
    }
    .hero--main {
        flex-direction: column;
        gap: 50px;
    }

    .hero--video {
        bottom: -300px;
    }
}

@media (max-width:1020px) {
    .jurney--wrapper {
        flex-direction: column;
        padding: 50px;
    }
}

@media (max-width:800px) {
    .hero--video {
        bottom: -200px;
    }

    .mission--cards {
        flex-direction: column;
    }

    .avards--list {
        justify-content: center;
        gap: 50px;
        text-align: center;
        flex-wrap: wrap;
    }
}


@media (max-width:390px) {
    .hero--title {
        font-size: 46px;
    line-height: 57.2px;
    }
    .hero--video {
        bottom: -100px;
    }

    .awards--title {
        font-size: 38px;
    line-height: 47.6px;
    }
}

/* 
 */